C       
C       File:          ExceptionTest_TooDeepException_Impl.f
C       Symbol:        ExceptionTest.TooDeepException-v1.0
C       Symbol Type:   class
C       Babel Version: 0.10.2
C       Description:   Server-side implementation for ExceptionTest.TooDeepException
C       
C       WARNING: Automatically generated; only changes within splicers preserved
C       
C       babel-version = 0.10.2
C       


C       
C       Symbol "ExceptionTest.TooDeepException" (version 1.0)
C       
C       This exception is thrown if the Fibonacci recursion is too deep.
C       


C       DO-NOT-DELETE splicer.begin(_miscellaneous_code_start)
C       Insert extra code here...
C       DO-NOT-DELETE splicer.end(_miscellaneous_code_start)




C       
C       Class constructor called when the class is created.
C       

        subroutine ExceptionTest_TooDeepException__ctor_fi(self)
        implicit none
C       in ExceptionTest.TooDeepException self
        integer*8 self

C       DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._ctor)
C       Insert the implementation here...
C       DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._ctor)
        end


C       
C       Class destructor called when the class is deleted.
C       

        subroutine ExceptionTest_TooDeepException__dtor_fi(self)
        implicit none
C       in ExceptionTest.TooDeepException self
        integer*8 self

C       DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._dtor)
C       Insert the implementation here...
C       DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._dtor)
        end


C       
C       Static class initializer called exactly once before any user-defined method is dispatched
C       

        subroutine ExceptionTest_TooDeepException__load_fi()
        implicit none

C       DO-NOT-DELETE splicer.begin(ExceptionTest.TooDeepException._load)
C       Insert the implementation here...
C       DO-NOT-DELETE splicer.end(ExceptionTest.TooDeepException._load)
        end


C       DO-NOT-DELETE splicer.begin(_miscellaneous_code_end)
C       Insert extra code here...
C       DO-NOT-DELETE splicer.end(_miscellaneous_code_end)
